/*
	Outputs Structure
*/

#ifndef DEF_OUTPUT_DATA__
#define DEF_OUTPUT_DATA__

typedef struct Output
{
	char lights;		//Indicator lights outputs.(enable, disable)
	char pinf;		//Pin function.(normal, flash synchronous, flash alternate)
	int16_t duration;	//Duration time of lights. 0 means turn on light all time.
	int16_t flashrate;	//Number of flashes per minute.
	char gapthrow;		//Gapped indication during throw.(enable, disable)
	char gapphase;		//Gapped indication out of phase.(enable, disable)
	//int16_t delay;		//Route light off delay time.(seconds)
	char strobe;		//Strobe light status.(continuous, flash)
	int16_t stroberate;	//Strobe/Out-Of-Phase flash rate. Number of flashes per minute.
}OUTPUT_DATA;
#endif

