#ifndef C_TIMER_FUNC__
#define C_TIMER_FUNC__

#include "DefMsg.h"

/********************************
All functions use in TimerCenter
********************************/

//TimeCenterFuncs.cpp
void putMsg(const int16_t debugIdx, const char *format, ...);
int InitTimeQueue();
int InitTimerCenterQueue();
int InitIoTimerEvent();
int ProcessIoTimerMessage();
int ProcessIOTimerQueue();
TimeMsgQueueElement * getNextAvailabeTimerQueueSlot();
int writeToSwIoCenter(COMMON_MSG_DATA * thisComMsg);
short RemoveQueue(TIME_CENTER_MSG_DATA * thisTimerMsg, int thisCode);
short EnQueue(TIME_CENTER_MSG_DATA * thisTimerMsg, int thisCode);
short DeQueue(TIME_CENTER_MSG_DATA * thisTimerMsg, int * thisCode);
short FrontQueue(TIME_DELAY_REC * thisTimeDelayRec, int * thisCode);
void ReportQ(void);

//TimeCenterComMsgFuncs.cpp
int ProcessQueueMessage(int qFd);
int ProcessIOTimerQueue();
int ProcessDeQueuedMsg(TIME_CENTER_MSG_DATA * thisTimerMsg, int code);

#endif
